IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_BD_MATCH_PARAM_L_0') 
CREATE INDEX IDX_RECEIPT_BD_MATCH_PARAM_L_0 ON T_RECEIPT_BD_MATCH_PARAM_L (FID, FLOCALEID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_BD_MATCH_RULE_L_0') 
CREATE INDEX IDX_RECEIPT_BD_MATCH_RULE_L_0 ON T_RECEIPT_BD_MATCH_RULE_L (FID, FLOCALEID);

-- 回单任务表增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_TASK_INDEX')
CREATE INDEX IDX_RECEIPT_TASK_INDEX ON T_RECEIPT_DOWNLOAD_TASK (FACC_NO,FSTATUS,FTRANS_DATE);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_T_BD_INDEX')
CREATE INDEX IDX_RECEIPT_T_BD_INDEX ON T_RECEIPT_DOWNLOAD_TASK (fbank_version,FTRANS_DATE);
-- 回单结果表增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_TASK_D_INDEX')
CREATE INDEX IDX_RECEIPT_TASK_D_INDEX ON T_RECEIPT_DETAIL (FREFID,FSTATUS);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_T_D_U_INDEX')
CREATE INDEX IDX_RECEIPT_T_D_U_INDEX ON T_RECEIPT_DETAIL (FUPLOAD_FLAG);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_T_D_S_INDEX')
CREATE INDEX IDX_RECEIPT_T_D_S_INDEX ON T_RECEIPT_DETAIL (FSTATUS);
-- 回单信息表增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_T_I_INDEX')
CREATE INDEX IDX_RECEIPT_T_I_INDEX ON T_RECEIPT_INFO (FBANK_VERSION,FTRANS_DATE);
-- 回单报文增加索引
-- IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_J_D_INDEX')
-- CREATE INDEX IDX_RECEIPT_J_D_INDEX ON T_RECEIPT_JSON (freceipt_detail_id);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_J_B_INDEX')
CREATE INDEX IDX_RECEIPT_J_B_INDEX ON T_RECEIPT_JSON (fbank_version);



