IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_DEFECT_STATS')
CREATE TABLE T_RECEIPT_DEFECT_STATS (
  FID              BIGINT                  NOT NULL
    PRIMARY KEY,
  FBILLNO VARCHAR(30) NOT NULL DEFAULT ' ',
  FBILLSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
  FCREATORID BIGINT DEFAULT 0,
  FMODIFIERID BIGINT DEFAULT 0,
  FAUDITORID BIGINT DEFAULT 0,
  FAUDITDATE DATETIME  NULL,
  FMODIFYTIME DATETIME  NULL,
  FCREATETIME DATETIME  NULL,
  FBANK_VERSION BIGINT DEFAULT 0,
  FBANK_LOGIN BIGINT DEFAULT 0,
  FACC_NO BIGINT DEFAULT 0,
  FDEFECT_DAY BIGINT DEFAULT 0,
  FDEFECT_MONTH VARCHAR(50) NOT NULL DEFAULT ' ',
  FDEFECT_YEAR VARCHAR(50) NOT NULL DEFAULT ' ',
  FBANK_NAME VARCHAR(255) NOT NULL DEFAULT ' ',
  FBANK_LOGIN_NUMBER VARCHAR(255) NOT NULL DEFAULT ' ',
  FACCNO VARCHAR(50) NOT NULL DEFAULT ' '
);
