-- 初始化连接监控调度类 --
DELETE FROM T_SCH_TASKDEFINE WHERE FAPPID='receipt' AND FID IN ('2PWCGNQFLOF5');
INSERT INTO T_SCH_TASKDEFINE (FID,FCLASSNAME,FNUMBER,FAPPID) VALUES ('2PWCGNQFLOF5','kd.ebg.receipt.business.receipt.schedule.monitor.ConnectMonitorScheduleJob','ReceiptConnectMonitorScheduleJob','receipt');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID IN ('2PWCGNQFLOF5');
DELETE FROM T_SCH_TASKDEFINE_L WHERE FPKID IN ('2PWCGNQMVH4Y','2PWCGNQMVH4Z');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID,FID,FLOCALEID,FNAME) VALUES ('2PWCGNQMVH4Y','2PWCGNQFLOF5','zh_CN','回单下载连接监控调度');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID,FID,FLOCALEID,FNAME) VALUES ('2PWCGNQMVH4Z','2PWCGNQFLOF5','zh_TW','回單下載連接監控調度');



-- 初始化连接监控任务调度 --
DELETE FROM T_SCH_JOB WHERE FTASKDEFINEID IN ('2PWCGNQFLOF5');
DELETE FROM T_SCH_JOB WHERE FID IN ('2PWCOI/PS6A1');
INSERT INTO T_SCH_JOB(FID,FJOBTYPE,FTASKCLASSNAME,FRUNBYUSERID,FPARAMS,FNUMBER,FTASKDEFINEID,FSTATUS,FTIMEOUT,FRUNBYORGID,FRUNBYLANG,FCONCURRENT,FRUNMODE,FSTRATEGY,FRETRYTIME,FCANSTOP) VALUES ('2PWCOI/PS6A1','BIZ','kd.ebg.receipt.business.receipt.schedule.monitor.ConnectMonitorScheduleJob',1301603506083333120,'{}','receipt_connect_Monitor_task_SKDJ_S','2PWCGNQFLOF5','1',0,0,' ','0','0','1',0,'0');


DELETE FROM T_SCH_JOB_L WHERE FID IN ('2PWCOI/PS6A1');
DELETE FROM T_SCH_JOB_L WHERE FPKID IN ('2PWCOI/PS7+A','2PWCOI/PS7+B');
INSERT INTO T_SCH_JOB_L (FPKID,FID,FLOCALEID,FNAME) VALUES ('2PWCOI/PS7+A','2PWCOI/PS6A1','zh_CN','回单下载连接监控作业');
INSERT INTO T_SCH_JOB_L (FPKID,FID,FLOCALEID,FNAME) VALUES ('2PWCOI/PS7+B','2PWCOI/PS6A1','zh_TW','回單下載連接監控作業');

-- 初始化连接监控计划 --
DELETE FROM T_SCH_SCHEDULE WHERE FJOBID IN ('2PWCOI/PS6A1');
DELETE FROM T_SCH_SCHEDULE WHERE FID IN ('2PWDD55TRXAN');
INSERT INTO t_sch_schedule (FID,FJOBID,FSTARTTIME,FENDTIME,FPLAN,FNUMBER,FSTATUS,FREPEATMODE,FCYCLENUM,FHOST,FSUN,FSAT,FFRI,FTHUR,FWED,FTUES,FMON,FONE,FTWO,FTHIRTYONE,FTHIRTY,FTWENTYNINE,FTWENTYEIGHT,FTWENTYSEVEN,FTWENTYSIX,FTWENTYFIVE,FTWENTYFOUR,FTWENTYTHREE,FTWENTYTWO,FTWENTYONE,FTWENTY,FNINETEEN,FEIGHTEEN,FSEVENTEEN,FSIXTEEN,FFIFTEEN,FFOURTEEN,FTHIRTEEN,FTWELVE,FELEVEN,FTEN,FNINE,FEIGHT,FSEVEN,FSIX,FFIVE,FFOUR,FTHREE,FNO,FNOWEEK,FJAN,FDEC,FNOV,FOCT,FSEP,FAUG,FJUL,FJUN,FMAY,FAPR,FMAR,FFEB,FBYWEEK,FBYDAYORWEEK,FDESC) VALUES
('2PWDD55TRXAN','2PWCOI/PS6A1',{ts'2022-09-08 19:38:07'},{ts'2099-09-18 19:38:06'},'0 0 5/1 * * ?','receipt_connect_monitor_plan_SKDP_S','1','def',5,'172.17.55.60','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0',' ',' ','0','0','0','0','0','0','0','0','0','0','0','0','0','d','事件将于2022-09-08 19:38:07起，
预计最近十次执行时间：
2022-09-08 20:00:00,
2022-09-08 21:00:00,
2022-09-08 22:00:00,
2022-09-08 23:00:00,
2022-09-09 05:00:00,
2022-09-09 06:00:00,
2022-09-09 07:00:00,
2022-09-09 08:00:00,
2022-09-09 09:00:00,
2022-09-09 10:00:00');

DELETE FROM T_SCH_SCHEDULE_L WHERE FID IN ('2PWDD55TRXAN');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID IN ('2PWDD55TRY+X','2PWDD55TRY+Y');
INSERT INTO t_sch_schedule_l (FPKID,FID,FLOCALEID,FNAME) VALUES ('2PWDD55TRY+X','2PWDD55TRXAN','zh_CN','回单下载连接监控调度');
INSERT INTO t_sch_schedule_l (FPKID,FID,FLOCALEID,FNAME) VALUES	('2PWDD55TRY+Y','2PWDD55TRXAN','zh_TW','回單下載連接監控調度');