-- 对账单任务表增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECONCILI_T_T_INDEX')
CREATE INDEX IDX_RECONCILI_T_T_INDEX ON T_RECEIPT_RECONCILIA_TASK (FTRANS_DATE);

-- 对账单结果表增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECONCILI_R_T_INDEX')
CREATE INDEX IDX_RECONCILI_R_T_INDEX ON T_RECONCILIATION_DETAIL (FTRANS_DATE);

-- 回单任务表增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_T_T_INDEX')
CREATE INDEX IDX_RECEIPT_T_T_INDEX ON T_RECEIPT_DOWNLOAD_TASK (FTRANS_DATE);

-- 回单结果表增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RECEIPT_TASK_T_INDEX')
CREATE INDEX IDX_RECEIPT_TASK_T_INDEX ON T_RECEIPT_DETAIL (FTRANS_DATE);






